%define name	tla
%define version 1.3.5
%define release %mkrel 1

Name:		%name
Version:	%version
Release:	%release
Summary:	TLA revision control system
License:	GPL
Group:		Development/Other
URL:		http://www.gnu.org/software/gnu-arch/
# Source: 	ftp://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
# Source:	http://releases.gnuarch.org/tla/%{name}-%{version}.tar.gz
Source0: 	%{name}-%{version}.tar.bz2
#gw libneon needs some better provides
BuildRequires:	libneon-devel
Requires:	gawk tar gzip patch diffutils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Also known as GNU Arch.
A modern replacement for CVS, specifically designed for the distributed 
development needs of open source projects. It has uniquely good support 
for development on branches (especially good merging tools), distributed 
repositories (every developer can have branches in their own repository), 
changeset-oriented project management (arch commits changes to multiple 
files at once), and, of course, file and directory renaming.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}
# remove id files we don't want to distribute
find src/docs-tla -name .arch-ids | xargs rm -fr
# don't want to use embedded libneon (see also Patch0)
rm -rf src/tla/libneon

echo "%{name}-%{version} (%{name}-%{version}-%{release})" > \=RELEASE-ID 

%build
mkdir \=build
cd \=build
export CFLAGS="${RPM_OPT_FLAGS}"
../src/configure --prefix=%{_prefix} --destdir=%{buildroot} 

make

%check
cd \=build
make test

%install
rm -rf %{buildroot}
cd \=build
make install destdir=%{buildroot}

cd ..
#cp -r src/docs-tla/html html
#cp -r src/docs-tla/ps ps
#cp -r src/docs-tla/texi texi

sed 's,^#![[:space:]]*/.*$,#! /usr/bin/gawk -f,' src/tla/\=gpg-check.awk > %{buildroot}/%{_prefix}/bin/tla-gpg-check
chmod 0755 %{buildroot}/%{_prefix}/bin/tla-gpg-check

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc src/docs-tla/COPYING* src/docs-tla/ChangeLog 
%{_bindir}/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3.5-1mdv2008.1
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Sep 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-10 00:35:42 (60724)
- 1.3.5

* Sun Sep 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-10 00:17:50 (60723)
Import tla

* Thu Jun 16 2005 Lenny Cartier <lenny@mandriva.com> 1.3.3-1mdk
- 1.3.3

* Thu Jun 09 2005 Gtz Waschk <waschk@mandriva.org> 1.3-2mdk
- fix BR for x86_64

* Sun Jan 02 2005 Yann Droneaud <ydroneaud@mandrakesoft.com> 1.3-1mdk
- New release 1.3
- Use libneon provided by the system
- Provide tla-gpg-check script to be use to check signed archives

* Tue Sep 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- fix rpmlint warning about hidden doc files
- New release 1.2.1

* Sat Feb 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2-1mdk
- New release 1.2

* Fri Feb 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2-0.pre2.1mdk
- 1.2pre2

* Fri Feb 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1-0.pre7.2mdk
- add requires (Fix Bug #7790)

* Tue Oct 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1-0.pre7.1mdk
- 1.1pre7

